Package org.eclipse.microprofile.openapi.annotations.security

## Annotation Type OAuthFlow

    @Target({})
    @Retention(RUNTIME)
    @Inherited
    public @interface OAuthFlow

Configuration details for a supported OAuth Flow.

See Also:
  OAuth Flow Object

### Optional Element Summary

Optional Elements
`String` `authorizationUrl` The authorization URL to be used for this flow.
`Extension[]` `extensions` List of extensions to be added to the `OAuthFlow` model corresponding to the containing annotation.
`String` `refreshUrl` The URL to be used for obtaining refresh tokens.
`OAuthScope[]` `scopes` This is a REQUIRED property.
`String` `tokenUrl` The token URL to be used for this flow.

### Element Detail

#### authorizationUrl

    String authorizationUrl

The authorization URL to be used for this flow.

This is a REQUIRED property and MUST be in the form of a URL. Applies to oauth2 ("implicit", "authorizationCode") type.

Returns:
  authorization URL for this flow

Default:
  ""

#### tokenUrl

    String tokenUrl

The token URL to be used for this flow.

This is a REQUIRED property and MUST be in the form of a URL. Applies to oauth2 ("password", "clientCredentials", "authorizationCode") type.

Returns:
  token URL for this flow

Default:
  ""

#### refreshUrl

    String refreshUrl

The URL to be used for obtaining refresh tokens.

This MUST be in the form of a URL. Applies to oauth2 type.

Returns:
  URL for obtaining refresh tokens

Default:
  ""

#### scopes

    OAuthScope[] scopes

This is a REQUIRED property.

The available scopes for the OAuth2 security scheme. Applies to oauth2 type.

Returns:
  scopes available for this security scheme

Default:
  {}

#### extensions

    Extension[] extensions

List of extensions to be added to the `OAuthFlow` model corresponding to the containing annotation.

Returns:
  array of extensions
Since:
  3.1

Default:
  {}